LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 01-04-2014, 06:29 PM   #1
caibbor
LQ Newbie
 
Registered: Dec 2009
Posts: 27

Rep: Reputation: 0
NVidia drivers stopped working, thrown into "low-graphics mode", Ubuntu


Everything was peachy until last night when I updated some packages with aptitude (logs pasted below). I've been using the xorg-edgers PPA for a long time with the latest nvidia drivers, so I figured there was something broken in there. I reverted back to the stable nvidia-current drivers, but I was still being thrown into the "low-graphics mode." If I uninstall nvidia drivers completely, the problem goes away (except that I don't have decent graphics drivers anymore).

I went so far as to ppa-purge the entire xorg-edgers PPA, and while it complete successfully it did not solve my problem.

I'm becoming increasingly agitated by this and cannot figure out what the problem is. I've reinstalled everything in the X11 category, as well as ubuntu-desktop, and tried several other suggestions that I found here: http://askubuntu.com/questions/14160...ics-mode-error

Any version of nvidia drivers at all is causing Xorg to fail, but without any nvidia drivers it works. What's going on here?

/var/log/aptitude.log:
Code:
Aptitude 0.6.8.2: log report
Fri, Jan  3 2014 19:24:22 -0500

IMPORTANT: this log only lists intended actions; actions which fail due to
dpkg problems may not be completed.

Will install 58 packages, and remove 2 packages.
240 MB of disk space will be used
===============================================================================
[REMOVE, NOT USED] nvidia-persistenced:i386
[REMOVE, NOT USED] nvidia-settings-331:i386
[INSTALL, DEPENDENCIES] bbswitch-dkms:i386
[INSTALL, DEPENDENCIES] bumblebee:i386
[INSTALL, DEPENDENCIES] libcuda1-331:i386
[INSTALL, DEPENDENCIES] libllvm3.4:i386
[INSTALL, DEPENDENCIES] libxcb-dri3-0:i386
[INSTALL, DEPENDENCIES] libxcb-present0:i386
[INSTALL, DEPENDENCIES] libxcb-sync1:i386
[INSTALL, DEPENDENCIES] libxshmfence1:i386
[INSTALL, DEPENDENCIES] linux-headers-3.11.0-15:i386
[INSTALL, DEPENDENCIES] linux-headers-3.11.0-15-generic:i386
[INSTALL, DEPENDENCIES] linux-image-3.11.0-15-generic:i386
[INSTALL, DEPENDENCIES] linux-image-extra-3.11.0-15-generic:i386
[INSTALL, DEPENDENCIES] nvidia-libopencl1-331:i386
[INSTALL, DEPENDENCIES] nvidia-opencl-icd-331:i386
[INSTALL, DEPENDENCIES] nvidia-settings:i386
[INSTALL, DEPENDENCIES] primus:i386
[INSTALL, DEPENDENCIES] primus-libs:i386
[INSTALL, DEPENDENCIES] socat:i386
[UPGRADE] libdrm-dev:i386 2.4.49+git20131202.c3d96897-0ubuntu0sarvatt -> 2.4.50+git20140102.e8cbc579-0ubuntu0ricotz~saucy
[UPGRADE] libdrm-intel1:i386 2.4.49+git20131202.c3d96897-0ubuntu0sarvatt -> 2.4.50+git20140102.e8cbc579-0ubuntu0ricotz~saucy
[UPGRADE] libdrm-nouveau2:i386 2.4.49+git20131202.c3d96897-0ubuntu0sarvatt -> 2.4.50+git20140102.e8cbc579-0ubuntu0ricotz~saucy
[UPGRADE] libdrm-radeon1:i386 2.4.49+git20131202.c3d96897-0ubuntu0sarvatt -> 2.4.50+git20140102.e8cbc579-0ubuntu0ricotz~saucy
[UPGRADE] libdrm2:i386 2.4.49+git20131202.c3d96897-0ubuntu0sarvatt -> 2.4.50+git20140102.e8cbc579-0ubuntu0ricotz~saucy
[UPGRADE] libegl1-mesa:i386 10.0.0-0ubuntu0sarvatt3 -> 10.1.0~git20140102.5a51c1b0-0ubuntu0ricotz~saucy
[UPGRADE] libegl1-mesa-drivers:i386 10.0.0-0ubuntu0sarvatt3 -> 10.1.0~git20140102.5a51c1b0-0ubuntu0ricotz~saucy
[UPGRADE] libgbm1:i386 10.0.0-0ubuntu0sarvatt3 -> 10.1.0~git20140102.5a51c1b0-0ubuntu0ricotz~saucy
[UPGRADE] libgl1-mesa-dev:i386 10.0.0-0ubuntu0sarvatt3 -> 10.1.0~git20140102.5a51c1b0-0ubuntu0ricotz~saucy
[UPGRADE] libgl1-mesa-dri:i386 10.0.0-0ubuntu0sarvatt3 -> 10.1.0~git20140102.5a51c1b0-0ubuntu0ricotz~saucy
[UPGRADE] libgl1-mesa-glx:i386 10.0.0-0ubuntu0sarvatt3 -> 10.1.0~git20140102.5a51c1b0-0ubuntu0ricotz~saucy
[UPGRADE] libglapi-mesa:i386 10.0.0-0ubuntu0sarvatt3 -> 10.1.0~git20140102.5a51c1b0-0ubuntu0ricotz~saucy
[UPGRADE] libgles2-mesa:i386 10.0.0-0ubuntu0sarvatt3 -> 10.1.0~git20140102.5a51c1b0-0ubuntu0ricotz~saucy
[UPGRADE] libopenvg1-mesa:i386 10.0.0-0ubuntu0sarvatt3 -> 10.1.0~git20140102.5a51c1b0-0ubuntu0ricotz~saucy
[UPGRADE] libosmesa6:i386 10.0.0-0ubuntu0sarvatt3 -> 10.1.0~git20140102.5a51c1b0-0ubuntu0ricotz~saucy
[UPGRADE] libxcb-composite0:i386 1.9.1-3ubuntu1 -> 1.10-1~xedgers~saucy1
[UPGRADE] libxcb-dri2-0:i386 1.9.1-3ubuntu1 -> 1.10-1~xedgers~saucy1
[UPGRADE] libxcb-dri2-0-dev:i386 1.9.1-3ubuntu1 -> 1.10-1~xedgers~saucy1
[UPGRADE] libxcb-glx0:i386 1.9.1-3ubuntu1 -> 1.10-1~xedgers~saucy1
[UPGRADE] libxcb-glx0-dev:i386 1.9.1-3ubuntu1 -> 1.10-1~xedgers~saucy1
[UPGRADE] libxcb-randr0:i386 1.9.1-3ubuntu1 -> 1.10-1~xedgers~saucy1
[UPGRADE] libxcb-render0:i386 1.9.1-3ubuntu1 -> 1.10-1~xedgers~saucy1
[UPGRADE] libxcb-shape0:i386 1.9.1-3ubuntu1 -> 1.10-1~xedgers~saucy1
[UPGRADE] libxcb-shm0:i386 1.9.1-3ubuntu1 -> 1.10-1~xedgers~saucy1
[UPGRADE] libxcb-xfixes0:i386 1.9.1-3ubuntu1 -> 1.10-1~xedgers~saucy1
[UPGRADE] libxcb-xv0:i386 1.9.1-3ubuntu1 -> 1.10-1~xedgers~saucy1
[UPGRADE] libxcb1:i386 1.9.1-3ubuntu1 -> 1.10-1~xedgers~saucy1
[UPGRADE] libxcb1-dev:i386 1.9.1-3ubuntu1 -> 1.10-1~xedgers~saucy1
[UPGRADE] linux-generic:i386 3.11.0.14.15 -> 3.11.0.15.16
[UPGRADE] linux-generic-pae:i386 3.11.0.14.15 -> 3.11.0.15.16
[UPGRADE] linux-headers-generic:i386 3.11.0.14.15 -> 3.11.0.15.16
[UPGRADE] linux-headers-generic-pae:i386 3.11.0.14.15 -> 3.11.0.15.16
[UPGRADE] linux-image-generic:i386 3.11.0.14.15 -> 3.11.0.15.16
[UPGRADE] linux-libc-dev:i386 3.11.0-14.21 -> 3.11.0-15.23
[UPGRADE] mesa-common-dev:i386 10.0.0-0ubuntu0sarvatt3 -> 10.1.0~git20140102.5a51c1b0-0ubuntu0ricotz~saucy
[UPGRADE] nvidia-331:i386 331.20-0ubuntu1~xedgers~saucy1 -> 331.20-0ubuntu8~xedgers~saucy1
[UPGRADE] wine-compholio:i386 1.7.8-1~ubuntu13.10.1 -> 1.7.9~ubuntu13.10.1
[UPGRADE] xserver-xorg-video-ati:i386 1:7.2.99+git20131204.d571d6af-0ubuntu0sarvatt -> 1:7.2.99+git20140103.04ef035c-0ubuntu0ricotz~saucy
[UPGRADE] xserver-xorg-video-intel:i386 2:2.99.906+git20131213.f350a136-0ubuntu0sarvatt -> 2:2.99.907+git20140103.4d8f78bc-0ubuntu0ricotz~saucy
[UPGRADE] xserver-xorg-video-radeon:i386 1:7.2.99+git20131204.d571d6af-0ubuntu0sarvatt -> 1:7.2.99+git20140103.04ef035c-0ubuntu0ricotz~saucy
===============================================================================

Log complete.
/var/log/kern.log: http://pastebin.com/bpy8xmEb

Last edited by caibbor; 01-04-2014 at 06:31 PM.
 
Old 01-04-2014, 07:35 PM   #2
caibbor
LQ Newbie
 
Registered: Dec 2009
Posts: 27

Original Poster
Rep: Reputation: 0
here's my Xorg log:

Code:
[    42.906] 
X.Org X Server 1.14.5
Release Date: 2013-12-12
[    42.906] X Protocol Version 11, Revision 0
[    42.906] Build Operating System: Linux 3.2.0-54-generic i686 Ubuntu
[    42.906] Current Operating System: Linux helios 3.11.0-15-generic #23-Ubuntu SMP Mon Dec 9 18:16:27 UTC 2013 i686
[    42.906] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.11.0-15-generic root=UUID=2d8d2b04-c8c0-482e-a942-30ae2c6f3180 ro quiet splash
[    42.906] Build Date: 17 December 2013  10:03:52AM
[    42.906] xorg-server 2:1.14.5-1ubuntu2~saucy1 (For technical support please see http://www.ubuntu.com/support) 
[    42.906] Current version of pixman: 0.30.2
[    42.906] 	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
[    42.906] Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[    42.906] (==) Log file: "/var/log/Xorg.0.log", Time: Sat Jan  4 19:29:23 2014
[    42.999] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[    43.122] (==) No Layout section.  Using the first Screen section.
[    43.122] (==) No screen section available. Using defaults.
[    43.122] (**) |-->Screen "Default Screen Section" (0)
[    43.122] (**) |   |-->Monitor "<default monitor>"
[    43.401] (==) No monitor specified for screen "Default Screen Section".
	Using a default monitor configuration.
[    43.401] (==) Automatically adding devices
[    43.401] (==) Automatically enabling devices
[    43.401] (==) Automatically adding GPU devices
[    43.524] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
[    43.524] 	Entry deleted from font path.
[    43.524] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist.
[    43.524] 	Entry deleted from font path.
[    43.524] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist.
[    43.524] 	Entry deleted from font path.
[    43.567] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist.
[    43.567] 	Entry deleted from font path.
[    43.567] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist.
[    43.567] 	Entry deleted from font path.
[    43.567] (==) FontPath set to:
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/Type1,
	built-ins
[    43.567] (==) ModulePath set to "/usr/lib/i386-linux-gnu/xorg/extra-modules,/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules"
[    43.567] (II) The server relies on udev to provide the list of input devices.
	If no devices become available, reconfigure udev or disable AutoAddDevices.
[    43.567] (II) Loader magic: 0xb77a06a0
[    43.567] (II) Module ABI versions:
[    43.567] 	X.Org ANSI C Emulation: 0.4
[    43.567] 	X.Org Video Driver: 14.1
[    43.567] 	X.Org XInput driver : 19.1
[    43.567] 	X.Org Server Extension : 7.0
[    43.568] (--) PCI:*(0:1:0:0) 10de:062b:1043:1992 rev 161, Mem @ 0xfc000000/16777216, 0xd0000000/268435456, 0xfa000000/33554432, I/O @ 0x0000cc00/128, BIOS @ 0x????????/524288
[    43.569] (II) Open ACPI successful (/var/run/acpid.socket)
[    44.387] Initializing built-in extension Generic Event Extension
[    44.387] Initializing built-in extension SHAPE
[    44.387] Initializing built-in extension MIT-SHM
[    44.387] Initializing built-in extension XInputExtension
[    44.387] Initializing built-in extension XTEST
[    44.387] Initializing built-in extension BIG-REQUESTS
[    44.387] Initializing built-in extension SYNC
[    44.387] Initializing built-in extension XKEYBOARD
[    44.388] Initializing built-in extension XC-MISC
[    44.388] Initializing built-in extension SECURITY
[    44.388] Initializing built-in extension XINERAMA
[    44.388] Initializing built-in extension XFIXES
[    44.388] Initializing built-in extension RENDER
[    44.388] Initializing built-in extension RANDR
[    44.388] Initializing built-in extension COMPOSITE
[    44.388] Initializing built-in extension DAMAGE
[    44.388] Initializing built-in extension MIT-SCREEN-SAVER
[    44.388] Initializing built-in extension DOUBLE-BUFFER
[    44.388] Initializing built-in extension RECORD
[    44.388] Initializing built-in extension DPMS
[    44.388] Initializing built-in extension X-Resource
[    44.388] Initializing built-in extension XVideo
[    44.388] Initializing built-in extension XVideo-MotionCompensation
[    44.388] Initializing built-in extension SELinux
[    44.388] Initializing built-in extension XFree86-VidModeExtension
[    44.388] Initializing built-in extension XFree86-DGA
[    44.388] Initializing built-in extension XFree86-DRI
[    44.388] Initializing built-in extension DRI2
[    44.388] (II) "glx" will be loaded by default.
[    44.388] (WW) "xmir" is not to be loaded by default. Skipping.
[    44.388] (II) LoadModule: "dri2"
[    44.388] (II) Module "dri2" already built-in
[    44.388] (II) LoadModule: "glamoregl"
[    44.439] (II) Loading /usr/lib/xorg/modules/libglamoregl.so
[    49.880] (II) Module glamoregl: vendor="X.Org Foundation"
[    49.880] 	compiled for 1.14.3, module version = 0.5.1
[    49.880] 	ABI class: X.Org ANSI C Emulation, version 0.4
[    49.880] (II) LoadModule: "glx"
[    49.880] (II) Loading /usr/lib/i386-linux-gnu/xorg/extra-modules/libglx.so
[    50.687] (II) Module glx: vendor="NVIDIA Corporation"
[    50.687] 	compiled for 4.0.2, module version = 1.0.0
[    50.687] 	Module class: X.Org Server Extension
[    50.687] (II) NVIDIA GLX Module  304.88  Wed Mar 27 14:51:59 PDT 2013
[    50.687] Loading extension GLX
[    50.687] (==) Matched nvidia as autoconfigured driver 0
[    50.687] (==) Matched nouveau as autoconfigured driver 1
[    50.687] (==) Matched vesa as autoconfigured driver 2
[    50.687] (==) Matched modesetting as autoconfigured driver 3
[    50.687] (==) Matched fbdev as autoconfigured driver 4
[    50.687] (==) Assigned the driver to the xf86ConfigLayout
[    50.687] (II) LoadModule: "nvidia"
[    50.687] (II) Loading /usr/lib/i386-linux-gnu/xorg/extra-modules/nvidia_drv.so
[    52.247] (II) Module nvidia: vendor="NVIDIA Corporation"
[    52.247] 	compiled for 4.0.2, module version = 1.0.0
[    52.247] 	Module class: X.Org Video Driver
[    52.302] (II) LoadModule: "nouveau"
[    52.350] (II) Loading /usr/lib/xorg/modules/drivers/nouveau_drv.so
[    52.584] (II) Module nouveau: vendor="X.Org Foundation"
[    52.584] 	compiled for 1.14.2.901, module version = 1.0.9
[    52.584] 	Module class: X.Org Video Driver
[    52.584] 	ABI class: X.Org Video Driver, version 14.1
[    52.584] (II) LoadModule: "vesa"
[    52.584] (II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so
[    52.622] (II) Module vesa: vendor="X.Org Foundation"
[    52.622] 	compiled for 1.14.1, module version = 2.3.2
[    52.622] 	Module class: X.Org Video Driver
[    52.622] 	ABI class: X.Org Video Driver, version 14.1
[    52.622] (II) LoadModule: "modesetting"
[    52.622] (II) Loading /usr/lib/xorg/modules/drivers/modesetting_drv.so
[    52.691] (II) Module modesetting: vendor="X.Org Foundation"
[    52.691] 	compiled for 1.14.1, module version = 0.8.0
[    52.691] 	Module class: X.Org Video Driver
[    52.691] 	ABI class: X.Org Video Driver, version 14.1
[    52.691] (II) LoadModule: "fbdev"
[    52.691] (II) Loading /usr/lib/xorg/modules/drivers/fbdev_drv.so
[    52.699] (II) Module fbdev: vendor="X.Org Foundation"
[    52.699] 	compiled for 1.14.1, module version = 0.4.3
[    52.699] 	Module class: X.Org Video Driver
[    52.699] 	ABI class: X.Org Video Driver, version 14.1
[    52.834] (II) NVIDIA dlloader X Driver  304.88  Wed Mar 27 14:32:42 PDT 2013
[    52.834] (II) NVIDIA Unified Driver for all Supported NVIDIA GPUs
[    52.837] (II) NOUVEAU driver Date:   Wed Jul 31 10:51:03 2013 +1000
[    52.837] (II) NOUVEAU driver for NVIDIA chipset families :
[    52.837] 	RIVA TNT        (NV04)
[    52.837] 	RIVA TNT2       (NV05)
[    52.837] 	GeForce 256     (NV10)
[    52.837] 	GeForce 2       (NV11, NV15)
[    52.837] 	GeForce 4MX     (NV17, NV18)
[    52.837] 	GeForce 3       (NV20)
[    52.837] 	GeForce 4Ti     (NV25, NV28)
[    52.837] 	GeForce FX      (NV3x)
[    52.837] 	GeForce 6       (NV4x)
[    52.837] 	GeForce 7       (G7x)
[    52.837] 	GeForce 8       (G8x)
[    52.837] 	GeForce GTX 200 (NVA0)
[    52.837] 	GeForce GTX 400 (NVC0)
[    52.837] (II) VESA: driver for VESA chipsets: vesa
[    52.837] (II) modesetting: Driver for Modesetting Kernel Drivers: kms
[    52.837] (II) FBDEV: driver for framebuffer: fbdev
[    52.837] (++) using VT number 7

[    52.847] (II) Loading sub module "fb"
[    52.847] (II) LoadModule: "fb"
[    52.847] (II) Loading /usr/lib/xorg/modules/libfb.so
[    52.861] (II) Module fb: vendor="X.Org Foundation"
[    52.861] 	compiled for 1.14.5, module version = 1.0.0
[    52.861] 	ABI class: X.Org ANSI C Emulation, version 0.4
[    52.861] (II) Loading sub module "wfb"
[    52.861] (II) LoadModule: "wfb"
[    52.995] (II) Loading /usr/lib/xorg/modules/libwfb.so
[    53.267] (II) Module wfb: vendor="X.Org Foundation"
[    53.267] 	compiled for 1.14.5, module version = 1.0.0
[    53.267] 	ABI class: X.Org ANSI C Emulation, version 0.4
[    53.267] (II) Loading sub module "ramdac"
[    53.267] (II) LoadModule: "ramdac"
[    53.267] (II) Module "ramdac" already built-in
[    53.284] (WW) Falling back to old probe method for vesa
[    53.284] (WW) Falling back to old probe method for modesetting
[    53.284] (EE) open /dev/dri/card0: No such file or directory
[    53.284] (WW) Falling back to old probe method for fbdev
[    53.284] (II) Loading sub module "fbdevhw"
[    53.284] (II) LoadModule: "fbdevhw"
[    53.285] (II) Loading /usr/lib/xorg/modules/libfbdevhw.so
[    53.322] (II) Module fbdevhw: vendor="X.Org Foundation"
[    53.322] 	compiled for 1.14.5, module version = 0.0.2
[    53.322] 	ABI class: X.Org Video Driver, version 14.1
[    53.322] (EE) open /dev/fb0: No such file or directory
[    53.322] (II) NVIDIA(0): Creating default Display subsection in Screen section
	"Default Screen Section" for depth/fbbpp 24/32
[    53.322] (==) NVIDIA(0): Depth 24, (==) framebuffer bpp 32
[    53.322] (==) NVIDIA(0): RGB weight 888
[    53.322] (==) NVIDIA(0): Default visual is TrueColor
[    53.322] (==) NVIDIA(0): Using gamma correction (1.0, 1.0, 1.0)
[    53.322] (**) NVIDIA(0): Enabling 2D acceleration
[    53.432] (EE) NVIDIA(0): Failed to initialize the NVIDIA kernel module. Please see the
[    53.432] (EE) NVIDIA(0):     system's kernel log for additional error messages and
[    53.432] (EE) NVIDIA(0):     consult the NVIDIA README for details.
[    53.432] (EE) NVIDIA(0):  *** Aborting ***
[    53.432] (EE) NVIDIA(0): Failing initialization of X screen 0
[    53.432] (II) UnloadModule: "nvidia"
[    53.432] (II) UnloadSubModule: "wfb"
[    53.432] (II) UnloadSubModule: "fb"
[    53.432] (EE) Screen(s) found, but none have a usable configuration.
[    53.432] (EE) 
Fatal server error:
[    53.432] (EE) no screens found(EE) 
[    53.432] (EE) 
Please consult the The X.Org Foundation support 
	 at http://wiki.x.org
 for help. 
[    53.432] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[    53.432] (EE) 
[    53.433] (EE) Server terminated with error (1). Closing log file.
 
Old 01-05-2014, 03:59 PM   #3
caibbor
LQ Newbie
 
Registered: Dec 2009
Posts: 27

Original Poster
Rep: Reputation: 0
nouveau drivers are having the same problem. This makes absolutely no sense. I've even went so far as to reinstall everything in the X11 category. modprobing nvidia drivers silently does nothing, and lsmod afterward shows that it was not loaded at all.

I'm fed up, reinstalling the system from scratch.
 
Old 01-05-2014, 10:56 PM   #4
caibbor
LQ Newbie
 
Registered: Dec 2009
Posts: 27

Original Poster
Rep: Reputation: 0
After installing from scratch I ran into the same damn problems again. However, this time I have figured some things out.

One little problem is that LightDM has some bugs. On a stock system before I ever even attempt to use the xord-edgers repo, nvidia-current module loads automatically and properly, but LightDM seems to think that there's a problem and you get the "low-graphics mode" warning, which in this case is completely bunk, If you switch display manager from LightDM to something else, such as the unity-greeter or Slim, everything works a-okay.

The other problem is that I still can't run the latest nvidia 331 drivers from xorg-edgers repository. If I modprobe nvidia, absolutely nothing happens (log of that below), and insmod complains that that version of nvidia module has "unknown symbols" or something. However, if I install nvidia-current it works - as long as I manually insmod the moduleu. modprobing, again, has zero effect, so even adding nvidia to /etc/modules has no effect. As a temporary solution, I just threw the insmod command into the top of the /etc/init.d/x11-common script. That'll work for now...

It is very disconcerting that the xorg-edgers repo is causing this to happen. Before installing that repo, everything runs fine (except the lightdm issue). After installing the repo, and even after ppa-purging it, nvidia modules of any version will not load automatically.

I'd still like to be able to run the latest drivers again, or at LEAST figure out how to get nvidia loading automatically.


log showing what `modprobe -vvv nvidia` does (after which lsmod | grep -i nvidia shows nothing):
Code:
libkmod: DEBUG ../libkmod/libkmod-module.c:519 kmod_module_new_from_lookup: input alias=nvidia, normalized=nvidia
libkmod: DEBUG ../libkmod/libkmod.c:390 kmod_pool_get_module: get module name='nvidia_331\nvidia' found=(nil)
libkmod: DEBUG ../libkmod/libkmod.c:398 kmod_pool_add_module: add 0xb9601438 key='nvidia_331\nvidia'
libkmod: DEBUG ../libkmod/libkmod-module.c:546 kmod_module_new_from_lookup: lookup nvidia=1, list=0xb95f9198
libkmod: DEBUG ../libkmod/libkmod-module.c:1651 kmod_module_get_initstate: could not open '/sys/module/nvidia_331/initstate': No such file or directory
libkmod: DEBUG ../libkmod/libkmod-module.c:1661 kmod_module_get_initstate: could not open '/sys/module/nvidia_331': No such file or directory
libkmod: DEBUG ../libkmod/libkmod-module.c:435 kmod_module_unref: kmod_module 0xb9601438 released
libkmod: DEBUG ../libkmod/libkmod.c:406 kmod_pool_del_module: del 0xb9601438 key='nvidia_331\nvidia'
libkmod: INFO ../libkmod/libkmod.c:319 kmod_unref: context 0xb95f9128 released

Last edited by caibbor; 01-05-2014 at 11:00 PM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] just installed Slackware....Lilo>Select "Ubuntu">>> "Ubuntu is in low graphics mode"? Ubunoob001 Slackware 14 09-16-2010 05:47 PM
ubuntu 64-bit 10.04 --- how "boot into console mode" to install nvidia drivers ??? maxreason Ubuntu 5 08-25-2010 10:05 PM
Running in low graphics mode - nvidia GeForce 7600, Ubuntu 8.04 Loxodonte Linux - Hardware 2 03-04-2010 01:36 PM
"Envy" an app to aid in the setting up of your ATI or Nvidia drivers in Ubuntu Linux {BBI}Nexus{BBI} Linux - General 1 04-23-2007 07:25 PM
Digimate 17" TFT with NVidia graphics - keep getting "signal out of range" vasudevadas Linux - Hardware 3 12-03-2006 07:22 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 07:35 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration